#
# spec file for package kwebkitpart
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kwebkitpart
Version:        1.3.4git.20171117T115813~cca571d
Release:        bp155.2.15
Summary:        KDE Webkit web browser component
License:        LGPL-2.0+ and LGPL-2.1+
Group:          System/GUI/KDE
Url:            https://cgit.kde.org/kwebkitpart.git
Source:         %{name}-%{version}.tar.xz
Source1:        %{name}-lang.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdewebkit-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  kparts-devel
BuildRequires:  pkgconfig
BuildRequires:  sonnet-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
Recommends:     kwebkitpart-lang
Provides:       libkdenetwork1 = 4.3.0.svn1001692-36.1
Obsoletes:      libkdenetwork1 < 4.3.0.svn1001692-36.1
Provides:       kde4-webkitpart = 4.3.90.svn1072556
Obsoletes:      kde4-webkitpart < 4.3.90.svn1072556
Obsoletes:      kwebkitpart-devel < 1.2.0git20111013
Provides:       kwebkitpart-devel = 1.2.0git20111013
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A webkit web browser component for KDE (KPart).

%lang_package

%prep
%setup -q -n %{name}-%{version} -a 1
echo "ki18n_install(po)" >> CMakeLists.txt

%build
%cmake_kf5 -d build
%make_jobs

%install
pushd build
%kf5_makeinstall
popd
%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_kf5_debugdir}/kwebkitpart.categories
%{_kf5_plugindir}
%{_kf5_servicesdir}/kwebkitpart.desktop
%{_kf5_appsdir}/kwebkitpart
%{_kf5_iconsdir}/hicolor/*/apps/webkit.*
%{_kf5_sharedir}/kxmlgui5/kwebkitpart
%dir %{_kf5_iconsdir}/hicolor/*
%dir %{_kf5_iconsdir}/hicolor/*/apps
%doc COPYING.LIB README

%files lang -f %{name}.lang

%changelog
* Thu Jan 18 2018 wbauer@tmo.at
- Update to latest git master
  * ported away from kdelibs4support
  * fix translation of the search bar
  * use the KSslInfoDialog provided by kio
  * ported to categorized logging
- Update translations to the latest versions from svn
- Adjust build requirements
- Use the ki18n_install() cmake macro to build/install the
  translations instead of relying on some old cmake files
- Change package version to reflect the fact that it's a git
  snapshot (boo#1076525)
- Update Url
* Fri May 26 2017 wbauer@tmo.at
- Update to latest git master to fix build with Qt 5.9 (kde#377490)
- Update translations to the latest versions from svn
* Wed Dec  7 2016 wbauer@tmo.at
- Update to latest KF5 based git master, necessary to be used with
  konqueror as that is KF5 based too now
- Drop sanitize-html.patch and README.html.bz2, no longer needed or
  relevant
* Fri Feb 12 2016 wbauer@tmo.at
- Update to 1.3.4
  * Bugfixes:
  * Show correct SSL information on redirection.
  * Copy only the email address and not the mailto link.
  * Fixed context based ad blocking for iframe objects.
- Removed upstreamed patches included in this release:
  0001-Fixed-context-based-ad-blocking-for-iframe-objects.patch,
  0002-Copy-only-the-email-address-and-not-the-mailto-link.patch and
  0003-Show-correct-SSL-information-on-redirection.patch
- Updated translations to the latest version
* Mon Mar  9 2015 hrvoje.senjan@gmail.com
- Added sanitize-html.patch, CVE-2014-8600
* Thu May 29 2014 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0001-Fixed-context-based-ad-blocking-for-iframe-objects.patch,
  0002-Copy-only-the-email-address-and-not-the-mailto-link.patch and
  0003-Show-correct-SSL-information-on-redirection.patch
  (kde#319177, kde#334961, kde#335389)
* Sat Jun 22 2013 hrvoje.senjan@gmail.com
- Update to 1.3.3
  * Bugfix release
* Mon Feb 18 2013 hrvoje.senjan@gmail.com
- Update to 1.3.2
  * Bugfixes
  * Make user defined custom style sheet work
  * Disable filters with options since they are not correctly
    supported
* Fri Nov 23 2012 hrvoje.senjan@gmail.com
- Update to 1.3.1
  * Features and changes
  * Removed unnecessary debug statements
  * Removed no longer necessary namespace use.
  * Make sure the curent focus widget is restored when
    closing the searchbar.
  * Removed no longer necessary #include statements.
  * On view frame or document source, open the actual file
    when it is local page
  * Bugfixes
  * Protect against potential random crashes. kde#310521
  * On view frame or document source,
    open the actual file when it is local page
  * Fix search shortcuts. kde#307394
  * Do not crash when QWebHitTestResult::frame() returns NULL.
    kde#306102
* Fri Nov 16 2012 hrvoje.senjan@gmail.com
- Update to 1.3.0
  * Features and changes
  * Added manual spell checking support (no spell-check as you type) for form input widgets. kde#300382
  * Added on demand plugin loading that honors Konqueror's settings. kde#298592
  * Added ability to copy the text of a link without selecting it. kde#299738
  * Added Access key support. kde#265028
  * Added automatic scrolling support. kde#247672
  * Added support for using Konqueror's nsplugin for displaying flash and java applets. kde#232736
  * Bugfixes
  * No favicon in bookmarks page with Webkit. kde#300317
  * Open in This Window action missing. kde#293709
  * konqueror crashed when trying to print current page as PDF file. kde#289453
  * Adding URLs to adblock list fails in konqueror. kde#287153
  * ~/.kde/share/apps/kwebkitpart/autosave/ growing to insane sizes. kde#284383
  * JavaScript Policy (window.open) not honored when using webkit browser engine. kde#282166
  * Cannot un-blacklist a site for password storing. kde#203901
  * Fixed compilation on Windows.
  * View Document Source does not work for JS-generated pages. kde#244136
* Mon Apr 16 2012 dmueller@suse.com
- make it build on older distros
* Sun Apr 15 2012 dmueller@suse.com
- reduce buildrequires
* Sat Apr  7 2012 tittiatcoke@gmail.com
- Translation update
* Fri Jan 20 2012 giecrilj@stegny.2a.pl
- Add documentation (bnc#742492)
* Thu Oct 20 2011 idonmez@suse.com
- Update to 1.2.0git20111019
  * Fixes bko#284383
* Mon Oct 17 2011 herbert@graeber-clan.de
- Fix build of packages depending on kwebkitpart-devel for
  openSUSE 11.3 and 11.4
* Thu Oct 13 2011 wstephenson@suse.com
- Update to 1.2.0
  * Features and changes
  * Added a context menu for blocking/allowing iframe ads.
  * Simplified and improved the ad blocking code based on the
    changes in khtml.
  * Added support for KIO put-ioslave-onhold functionality.
    Requires KDE v4.7 and higher.
  * Enabled WebGL support by default. Depends on the feature
    being enabled in QtWebKit.
  * Made the code that shows the status bar text when hovering
    over a link more efficient.
  * Made sure the URL shown on mouse over links is safe from
    malicious URL spoofing attacks.
  * Removed the "U" from the user-agent string sent to websites.
  * Bugfixes
  * Automatically close empty new windows created through a JS
    call whenever the request is handled by external application.
    (bko#171029)
  * Make sure urls copied from links and HTML 5 media elements
    are properly precent encoded. bko#255070.
  * Workaround the percent encoding of URLs bug during drag and
    drop in QtWebkit. bko#263788.
  * Fixed memory leak when handling unsupportedContent signal
    from QtWebKit.
  * Fixed a crash that occurs when closing Konqueror while the
    WebKit web inspector is shown.
  * Fixed window.open events done through javascript.
  * Fixed page reload requests.
* Thu Aug 18 2011 toddrme2178@gmail.com
- Added url (fix for RPMLINT warning)
- Changed summary and description (fix for RPMLINT warning)
- Removed redundant buildrequires
- Cleaned up spec file formatting
* Fri Jul 22 2011 idonmez@novell.com
- Update to 1.1.0.60.git2207201
  * Memory leak fixes
  * Misc bugfixes
  * No longer provides headers for external use
* Wed Jan  5 2011 johannesobermayr@gmx.de
- Update to 1.1.0
* Thu Dec 30 2010 johannesobermayr@gmx.de
- Update to latest git
- Create extra lang package
* Sat Jul 31 2010 tittiatcoke@gmail.com
- update to version 0.9.6
  * Combined the selector query into one.
  * Don't lock history when creating new windows. (bko#234642)
  * Handle error conditions using QWebPage's built-in error handling
    classes instead of own implementation. Simplifies things quite a
    bit and results in the removal of one internal signal.
  * Update the background color only as needed on search text match...
  * Only handle unsupported content when the request originated from
    the main frame. Fixes viewing usatoday.com
  * Properly handle content-disposition
  * Do not enable case matching by default when searching for text.
    (bko#237231)
  * Fixed bugs and enhanced restoration of data in input elements
    when going back in navigation history.
  * Added support for conditional completed to allow user to cancel
    scheduled page refresh. This feature will be activated only
    when kwebkitpart is compiled against Qt 4.7. (bko#239074)
  * Honor the auto page refresh config settings.
  * Fixed left clicking on the KWallet status bar icon.
  * Warn user when closing a tab that contains form data which has
    not yet been submitted. (bko#239076)
  * Finally figured out how to integrate Konqueror's history
    management with QtWebKit's!
  * Show the correct url in the location bar whenever an error page
    is encountered.
  * Added the ability to change the default encoding in a web page
    (View->Set Encoding) (bko#228917 bko#242370)
  * Use the page icon specified through the <link> tag. (bko#242842)
* Thu Mar 11 2010 tittiatcoke@gmail.com
- Update to version 0.9
  * Package resides now in extragear
  * Updated translations
  * Implemented the statusbar icon for wallet management. Now you
    can launch the wallet manager or remove passwords from it just
    as can be done when using khtml.
  * Make it possible to compile kwebkitpart support into konq-plugins
    without first having to compile and install the kwebkitpart.
  * Instantiated a KParts::StatusBarExtension so that it can be used
    by konq-plugins that support kwebkitpart.
  * Added temporary code to detect mixed secure/non-secure web pages
    and set the SSL icon accordingly.
  * Changed exec() to open() for launching the SSL info dialog and
    made sure it does not cause a memory leak.
  * Fixed the connection to slotSelectionClipboardUrlPasted.
  * Set the link style settings on children frames too.
  * Restore user entered form data when navigating back to previous
    page. Fixes bko#219649
  * Honor the konqueror "Middle click opens URL in selection" option.
  * Do not send referrer meta data when opening link in new tab/window.
  * Commented out several debug statements to reduce noise.
* Thu Mar 11 2010 wstephenson@suse.de
- Fix packaging error (bnc#575668)
* Mon Mar  8 2010 llunak@novell.com
- shorten dependency chain - this doesn't require
  kdebase4-workspace-devel
* Fri Feb 12 2010 llunak@novell.com
- own %%{_kde4_appsdir}/kwebkitpart/kpartplugins where other
  packages put plugins
* Mon Feb  1 2010 tittiatcoke@gmail.com
- update to latest svn version.
  * kpart has been moved to kdereview and renamed to kwebkitpart
* Mon Jan 11 2010 tittiatcoke@gmail.com
- update to latest SVN version
  * webkit libraries are now part of kdelibs. Only kpart remain
* Sun Oct  4 2009 beineri@opensuse.org
- updated translations from SVN
* Mon Aug 24 2009 beineri@opensuse.org
- use createtarball script for svn snapshot, include translations
* Thu Aug 13 2009 beineri@opensuse.org
- update to SVN 1010659, workaround for the crash when leaving
  pages that contain a flash plug-in
* Tue Aug 11 2009 beineri@opensuse.org
- update to SVN 1008707, libkdenetwork part is gone again
* Mon Aug  3 2009 tittiatcoke@gmail.com
- Split off libkdenetwork part. The remaining parts of webkitpart require
  this libkdenetwork.
* Thu Jul 23 2009 beineri@opensuse.org
- update to SVN 1001692
* Wed Jun  3 2009 beineri@opensuse.org
- update to SVN 976977
* Mon May 18 2009 beineri@opensuse.org
- update file list
* Wed May 13 2009 beineri@opensuse.org
- update to SVN 967285
  * prevent crash when part is null
  * improve zoom actions behavior
  * performace optimization: create page when it is needed only
* Thu Apr 23 2009 beineri@opensuse.org
- update to SVN 958332
  * better behavior on mouse middle click
  * fix crash on deleting WebView showing page with flash
  * fix redirection
  * add the possibility to kdewebkit to block external content.
  * improve handling of download file names
* Sat Mar 21 2009 beineri@opensuse.org
- update to SVN 943033:
  * Ctrl-click should also open link in new tab
  * Add copy link location and save link to link context menu
  * Save page / frame functionality
  * Print frame functionality
* Thu Feb 19 2009 stbinner@suse.de
- update to SVN 928260
* Wed Jan  7 2009 stbinner@suse.de
- update to SVN 907112
* Thu Nov 27 2008 dmueller@suse.de
- update to SVN 889879
* Tue Sep 16 2008 dmueller@suse.de
- fix filelist
* Tue Sep  2 2008 stbinner@suse.de
- update to SVN r856106
* Sat Aug 23 2008 stbinner@suse.de
- update to SVN r851465
* Fri Jul 25 2008 stbinner@suse.de
- update to SVN r837566
* Fri Apr 25 2008 stbinner@suse.de
- initial package in abuild
